emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] Changes to emacs/configure [lexbind]


From: Miles Bader
Subject: [Emacs-diffs] Changes to emacs/configure [lexbind]
Date: Tue, 14 Oct 2003 19:59:19 -0400

Index: emacs/configure
diff -c emacs/configure:1.92.2.1 emacs/configure:1.92.2.2
*** emacs/configure:1.92.2.1    Fri Apr  4 01:19:46 2003
--- emacs/configure     Tue Oct 14 19:59:08 2003
***************
*** 309,315 ****
  # include <unistd.h>
  #endif"
  
! ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME 
PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix 
program_transform_name bindir sbindir libexecdir datadir sysconfdir 
sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir 
build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build 
build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS 
LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT 
INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE 
PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID 
KMEM_GROUP GETLOADAVG_LIBS version configuration canonical srcdir lispdir 
locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir 
gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE 
LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile 
carbon_appdir LTLIBOBJS'
  ac_subst_files=''
  
  # Initialize some variables set by options.
--- 309,315 ----
  # include <unistd.h>
  #endif"
  
! ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME 
PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix 
program_transform_name bindir sbindir libexecdir datadir sysconfdir 
sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir 
build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build 
build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS 
LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT 
INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE 
PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID 
KMEM_GROUP GETLOADAVG_LIBS version configuration canonical srcdir lispdir 
locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir 
gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE 
LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile 
carbon_appdir LTLIBOBJS'
  ac_subst_files=''
  
  # Initialize some variables set by options.
***************
*** 855,860 ****
--- 855,862 ----
    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    --enable-carbon-app[=DIR]  [DIR=/Application]
                            specify install directory for Emacs.app on Mac OS X
+   --enable-maintainer-mode enable make rules and dependencies not useful
+                           (and sometimes confusing) to the casual installer
    --disable-largefile     omit support for large files
  
  Optional Packages:
***************
*** 948,954 ****
      else
        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
      fi
!     cd $ac_popdir
    done
  fi
  
--- 950,956 ----
      else
        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
      fi
!     cd "$ac_popdir"
    done
  fi
  
***************
*** 1145,1151 ****
        echo "$as_me: caught signal $ac_signal"
      echo "$as_me: exit $exit_status"
    } >&5
!   rm -f core core.* *.core &&
    rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
      exit $exit_status
       ' 0
--- 1147,1153 ----
        echo "$as_me: caught signal $ac_signal"
      echo "$as_me: exit $exit_status"
    } >&5
!   rm -f core *.core &&
    rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
      exit $exit_status
       ' 0
***************
*** 1485,1490 ****
--- 1487,1506 ----
     carbon_appdir_x=${enableval}
  fi;
  
+ # Check whether --enable-maintainer-mode or --disable-maintainer-mode was 
given.
+ if test "${enable_maintainer_mode+set}" = set; then
+   enableval="$enable_maintainer_mode"
+   USE_MAINTAINER_MODE=$enableval
+ else
+   USE_MAINTAINER_MODE=no
+ fi;
+ if test $USE_MAINTAINER_MODE = yes; then
+   MAINT=
+ else
+   MAINT=#
+ fi
+ 
+ 
  #### Make srcdir absolute, if it isn't already.  It's important to
  #### avoid running the path through pwd unnecessarily, since pwd can
  #### give you automounter prefixes, which can go away.  We do all this
***************
*** 1662,1667 ****
--- 1678,1691 ----
    ## NetBSD ports
    *-*-netbsd* )
      opsys=netbsd
+     if test -f /usr/lib/crti.o; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_CRTIN
+ _ACEOF
+ 
+    fi
+ 
      case "${canonical}" in
        alpha*-*-netbsd*)       machine=alpha ;;
        i[3456]86-*-netbsd*) machine=intel386 ;;
***************
*** 2058,2064 ****
    i370-ibm-aix*)
      machine=ibm370aix opsys=usg5-3
    ;;
!   s390-*-linux-gnu)
      machine=ibms390 opsys=gnu-linux
    ;;
    rs6000-ibm-aix3.1* | powerpc-ibm-aix3.1*  )
--- 2082,2088 ----
    i370-ibm-aix*)
      machine=ibm370aix opsys=usg5-3
    ;;
!   s390-*-linux-gnu* )
      machine=ibms390 opsys=gnu-linux
    ;;
    rs6000-ibm-aix3.1* | powerpc-ibm-aix3.1*  )
***************
*** 2073,2079 ****
    rs6000-ibm-aix4.2* | powerpc-ibm-aix4.2*  )
      machine=ibmrs6000 opsys=aix4-2
    ;;
!   rs6000-ibm-aix5.1* | powerpc-ibm-aix5.1*  )
      machine=ibmrs6000 opsys=aix4-2
    ;;
    rs6000-ibm-aix4.0* | powerpc-ibm-aix4.0*  )
--- 2097,2103 ----
    rs6000-ibm-aix4.2* | powerpc-ibm-aix4.2*  )
      machine=ibmrs6000 opsys=aix4-2
    ;;
!   rs6000-ibm-aix5* | powerpc-ibm-aix5*  )
      machine=ibmrs6000 opsys=aix4-2
    ;;
    rs6000-ibm-aix4.0* | powerpc-ibm-aix4.0*  )
***************
*** 2518,2523 ****
--- 2542,2549 ----
                                OVERRIDE_CPPFLAGS=" "
                                ;;
        *-sysv4.2uw* )          opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
+       *-sysv5uw* )            opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
+       *-sysv5OpenUNIX* )      opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
        *-386bsd* )             opsys=386bsd ;;
        *-nextstep* )             opsys=nextstep ;;
        ## Otherwise, we'll fall through to the generic opsys code at the 
bottom.
***************
*** 2550,2556 ****
    powerpc-apple-darwin* )
      machine=powermac opsys=darwin
      # Define CPP as follows to make autoconf work correctly.
!     CPP="cc -E -traditional-cpp"
    ;;
  
    ## AMD x86-64 Linux-based GNU system
--- 2576,2582 ----
    powerpc-apple-darwin* )
      machine=powermac opsys=darwin
      # Define CPP as follows to make autoconf work correctly.
!     CPP="gcc -E -no-cpp-precomp"
    ;;
  
    ## AMD x86-64 Linux-based GNU system
***************
*** 2580,2585 ****
--- 2606,2613 ----
      *-sysv2.2 | *-sysvr2.2 )          opsys=usg5-2-2 ;;
      *-sysv3* | *-sysvr3* )            opsys=usg5-3 ;;
      *-sysv4.2uw* )                    opsys=unixware ;;
+     *-sysv5uw* )                      opsys=unixware ;;
+     *-sysv5OpenUNIX* )                        opsys=unixware ;;
      *-sysv4.1* | *-sysvr4.1* )
        NON_GNU_CPP=/usr/lib/cpp
        opsys=usg5-4 ;;
***************
*** 3392,3399 ****
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
    for ac_declaration in \
!    ''\
!    '#include <stdlib.h>' \
     'extern "C" void std::exit (int) throw (); using std::exit;' \
     'extern "C" void std::exit (int); using std::exit;' \
     'extern "C" void exit (int) throw ();' \
--- 3420,3426 ----
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
    for ac_declaration in \
!    '' \
     'extern "C" void std::exit (int) throw (); using std::exit;' \
     'extern "C" void std::exit (int); using std::exit;' \
     'extern "C" void exit (int) throw ();' \
***************
*** 3407,3414 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
- #include <stdlib.h>
  $ac_declaration
  int
  main ()
  {
--- 3434,3441 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  $ac_declaration
+ #include <stdlib.h>
  int
  main ()
  {
***************
*** 4721,4727 ****
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  fi
--- 4748,4754 ----
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  fi
***************
*** 5028,5037 ****
  
  
  
  for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
    linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
!   termcap.h stdio_ext.h fcntl.h term.h strings.h coff.h pty.h sys/mman.h \
!   sys/param.h sys/vlimit.h sys/resource.h
  do
  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  if eval "test \"\${$as_ac_Header+set}\" = set"; then
--- 5055,5065 ----
  
  
  
+ 
  for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
    linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
!   termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \
!   sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h
  do
  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  if eval "test \"\${$as_ac_Header+set}\" = set"; then
***************
*** 5373,5379 ****
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  fi
--- 5401,5407 ----
  ( exit $ac_status )
  ac_cv_header_stdc=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  fi
***************
*** 6243,6289 ****
  
  fi
  
! 
! 
! echo "$as_me:$LINENO: checking for function prototypes" >&5
! echo $ECHO_N "checking for function prototypes... $ECHO_C" >&6
! if test "$ac_cv_prog_cc_stdc" != no; then
!   echo "$as_me:$LINENO: result: yes" >&5
! echo "${ECHO_T}yes" >&6
! 
! cat >>confdefs.h <<\_ACEOF
! #define PROTOTYPES 1
  _ACEOF
  
! 
! cat >>confdefs.h <<\_ACEOF
! #define __PROTOTYPES 1
  _ACEOF
! 
  else
!   echo "$as_me:$LINENO: result: no" >&5
! echo "${ECHO_T}no" >&6
! fi
  
! echo "$as_me:$LINENO: checking for working volatile" >&5
! echo $ECHO_N "checking for working volatile... $ECHO_C" >&6
! if test "${ac_cv_c_volatile+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
  _ACEOF
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  
  int
  main ()
  {
! 
! volatile int x;
! int * volatile y;
    ;
    return 0;
  }
--- 6271,6332 ----
  
  fi
  
! echo "$as_me:$LINENO: checking for struct ifreq.ifr_flags" >&5
! echo $ECHO_N "checking for struct ifreq.ifr_flags... $ECHO_C" >&6
! if test "${ac_cv_member_struct_ifreq_ifr_flags+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
  _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <net/if.h>
  
! int
! main ()
! {
! static struct ifreq ac_aggr;
! if (ac_aggr.ifr_flags)
! return 0;
!   ;
!   return 0;
! }
  _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_flags=yes
  else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
  
! cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
  _ACEOF
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
+ #include <net/if.h>
  
  int
  main ()
  {
! static struct ifreq ac_aggr;
! if (sizeof ac_aggr.ifr_flags)
! return 0;
    ;
    return 0;
  }
***************
*** 6300,6327 ****
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_c_volatile=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_c_volatile=no
  fi
  rm -f conftest.$ac_objext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: $ac_cv_c_volatile" >&5
! echo "${ECHO_T}$ac_cv_c_volatile" >&6
! if test $ac_cv_c_volatile = no; then
  
! cat >>confdefs.h <<\_ACEOF
! #define volatile
  _ACEOF
  
- fi
  
! echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
! echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
! if test "${ac_cv_c_const+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
--- 6343,6372 ----
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_flags=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_member_struct_ifreq_ifr_flags=no
  fi
  rm -f conftest.$ac_objext conftest.$ac_ext
  fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_flags" >&5
! echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_flags" >&6
! if test $ac_cv_member_struct_ifreq_ifr_flags = yes; then
  
! cat >>confdefs.h <<_ACEOF
! #define HAVE_STRUCT_IFREQ_IFR_FLAGS 1
  _ACEOF
  
  
! fi
! echo "$as_me:$LINENO: checking for struct ifreq.ifr_hwaddr" >&5
! echo $ECHO_N "checking for struct ifreq.ifr_hwaddr... $ECHO_C" >&6
! if test "${ac_cv_member_struct_ifreq_ifr_hwaddr+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
***************
*** 6331,6387 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  
  int
  main ()
  {
! /* FIXME: Include the comments suggested by Paul. */
! #ifndef __cplusplus
!   /* Ultrix mips cc rejects this.  */
!   typedef int charset[2];
!   const charset x;
!   /* SunOS 4.1.1 cc rejects this.  */
!   char const *const *ccp;
!   char **p;
!   /* NEC SVR4.0.2 mips cc rejects this.  */
!   struct point {int x, y;};
!   static struct point const zero = {0,0};
!   /* AIX XL C 1.02.0.0 rejects this.
!      It does not let you subtract one const X* pointer from another in
!      an arm of an if-expression whose if-part is not a constant
!      expression */
!   const char *g = "string";
!   ccp = &g + (g ? g-g : 0);
!   /* HPUX 7.0 cc rejects these. */
!   ++ccp;
!   p = (char**) ccp;
!   ccp = (char const *const *) p;
!   { /* SCO 3.2v4 cc rejects this.  */
!     char *t;
!     char const *s = 0 ? (char *) 0 : (char const *) 0;
  
!     *t++ = 0;
!   }
!   { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
!     int x[] = {25, 17};
!     const int *foo = &x[0];
!     ++foo;
!   }
!   { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
!     typedef const int *iptr;
!     iptr p = 0;
!     ++p;
!   }
!   { /* AIX XL C 1.02.0.0 rejects this saying
!        "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
!     struct s { int j; const int *ap[3]; };
!     struct s *b; b->j = 5;
!   }
!   { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
!     const int foo = 10;
!   }
! #endif
  
    ;
    return 0;
  }
--- 6376,6425 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
+ #include <net/if.h>
  
  int
  main ()
  {
! static struct ifreq ac_aggr;
! if (ac_aggr.ifr_hwaddr)
! return 0;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_hwaddr=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
  
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <net/if.h>
  
+ int
+ main ()
+ {
+ static struct ifreq ac_aggr;
+ if (sizeof ac_aggr.ifr_hwaddr)
+ return 0;
    ;
    return 0;
  }
***************
*** 6398,6425 ****
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_c_const=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_c_const=no
  fi
  rm -f conftest.$ac_objext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
! echo "${ECHO_T}$ac_cv_c_const" >&6
! if test $ac_cv_c_const = no; then
  
! cat >>confdefs.h <<\_ACEOF
! #define const
  _ACEOF
  
- fi
  
! echo "$as_me:$LINENO: checking for void * support" >&5
! echo $ECHO_N "checking for void * support... $ECHO_C" >&6
! if test "${emacs_cv_void_star+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
--- 6436,6465 ----
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_hwaddr=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_member_struct_ifreq_ifr_hwaddr=no
  fi
  rm -f conftest.$ac_objext conftest.$ac_ext
  fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_hwaddr" >&5
! echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_hwaddr" >&6
! if test $ac_cv_member_struct_ifreq_ifr_hwaddr = yes; then
  
! cat >>confdefs.h <<_ACEOF
! #define HAVE_STRUCT_IFREQ_IFR_HWADDR 1
  _ACEOF
  
  
! fi
! echo "$as_me:$LINENO: checking for struct ifreq.ifr_netmask" >&5
! echo $ECHO_N "checking for struct ifreq.ifr_netmask... $ECHO_C" >&6
! if test "${ac_cv_member_struct_ifreq_ifr_netmask+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
***************
*** 6429,6439 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  
  int
  main ()
  {
! void * foo;
    ;
    return 0;
  }
--- 6469,6482 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
+ #include <net/if.h>
  
  int
  main ()
  {
! static struct ifreq ac_aggr;
! if (ac_aggr.ifr_netmask)
! return 0;
    ;
    return 0;
  }
***************
*** 6450,6509 ****
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   emacs_cv_void_star=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! emacs_cv_void_star=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $emacs_cv_void_star" >&5
! echo "${ECHO_T}$emacs_cv_void_star" >&6
! if test $emacs_cv_void_star = yes; then
!   cat >>confdefs.h <<\_ACEOF
! #define POINTER_TYPE void
  _ACEOF
  
! else
!   cat >>confdefs.h <<\_ACEOF
! #define POINTER_TYPE char
  _ACEOF
  
  fi
  
  
  
! echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
! echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
! set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
! if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   cat >conftest.make <<\_ACEOF
! all:
!       @echo 'ac_maketemp="$(MAKE)"'
  _ACEOF
! # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
! eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
! if test -n "$ac_maketemp"; then
!   eval ac_cv_prog_make_${ac_make}_set=yes
! else
!   eval ac_cv_prog_make_${ac_make}_set=no
! fi
! rm -f conftest.make
! fi
! if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
!   echo "$as_me:$LINENO: result: yes" >&5
! echo "${ECHO_T}yes" >&6
!   SET_MAKE=
! else
!   echo "$as_me:$LINENO: result: no" >&5
! echo "${ECHO_T}no" >&6
!   SET_MAKE="MAKE=${MAKE-make}"
! fi
! 
  
  echo "$as_me:$LINENO: checking for long file names" >&5
  echo $ECHO_N "checking for long file names... $ECHO_C" >&6
--- 6493,7003 ----
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_netmask=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
  _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <net/if.h>
  
! int
! main ()
! {
! static struct ifreq ac_aggr;
! if (sizeof ac_aggr.ifr_netmask)
! return 0;
!   ;
!   return 0;
! }
  _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_member_struct_ifreq_ifr_netmask=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
  
+ ac_cv_member_struct_ifreq_ifr_netmask=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
  fi
+ echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_netmask" >&5
+ echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_netmask" >&6
+ if test $ac_cv_member_struct_ifreq_ifr_netmask = yes; then
  
+ cat >>confdefs.h <<_ACEOF
+ #define HAVE_STRUCT_IFREQ_IFR_NETMASK 1
+ _ACEOF
  
  
! fi
! echo "$as_me:$LINENO: checking for struct ifreq.ifr_broadaddr" >&5
! echo $ECHO_N "checking for struct ifreq.ifr_broadaddr... $ECHO_C" >&6
! if test "${ac_cv_member_struct_ifreq_ifr_broadaddr+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
  _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <net/if.h>
! 
! int
! main ()
! {
! static struct ifreq ac_aggr;
! if (ac_aggr.ifr_broadaddr)
! return 0;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_broadaddr=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <net/if.h>
! 
! int
! main ()
! {
! static struct ifreq ac_aggr;
! if (sizeof ac_aggr.ifr_broadaddr)
! return 0;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_broadaddr=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_member_struct_ifreq_ifr_broadaddr=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_broadaddr" >&5
! echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_broadaddr" >&6
! if test $ac_cv_member_struct_ifreq_ifr_broadaddr = yes; then
! 
! cat >>confdefs.h <<_ACEOF
! #define HAVE_STRUCT_IFREQ_IFR_BROADADDR 1
! _ACEOF
! 
! 
! fi
! echo "$as_me:$LINENO: checking for struct ifreq.ifr_addr" >&5
! echo $ECHO_N "checking for struct ifreq.ifr_addr... $ECHO_C" >&6
! if test "${ac_cv_member_struct_ifreq_ifr_addr+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <net/if.h>
! 
! int
! main ()
! {
! static struct ifreq ac_aggr;
! if (ac_aggr.ifr_addr)
! return 0;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_addr=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <net/if.h>
! 
! int
! main ()
! {
! static struct ifreq ac_aggr;
! if (sizeof ac_aggr.ifr_addr)
! return 0;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_ifreq_ifr_addr=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_member_struct_ifreq_ifr_addr=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_addr" >&5
! echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_addr" >&6
! if test $ac_cv_member_struct_ifreq_ifr_addr = yes; then
! 
! cat >>confdefs.h <<_ACEOF
! #define HAVE_STRUCT_IFREQ_IFR_ADDR 1
! _ACEOF
! 
! 
! fi
! 
! 
! 
! echo "$as_me:$LINENO: checking for function prototypes" >&5
! echo $ECHO_N "checking for function prototypes... $ECHO_C" >&6
! if test "$ac_cv_prog_cc_stdc" != no; then
!   echo "$as_me:$LINENO: result: yes" >&5
! echo "${ECHO_T}yes" >&6
! 
! cat >>confdefs.h <<\_ACEOF
! #define PROTOTYPES 1
! _ACEOF
! 
! 
! cat >>confdefs.h <<\_ACEOF
! #define __PROTOTYPES 1
! _ACEOF
! 
! else
!   echo "$as_me:$LINENO: result: no" >&5
! echo "${ECHO_T}no" >&6
! fi
! 
! echo "$as_me:$LINENO: checking for working volatile" >&5
! echo $ECHO_N "checking for working volatile... $ECHO_C" >&6
! if test "${ac_cv_c_volatile+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! 
! int
! main ()
! {
! 
! volatile int x;
! int * volatile y;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_c_volatile=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_c_volatile=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_c_volatile" >&5
! echo "${ECHO_T}$ac_cv_c_volatile" >&6
! if test $ac_cv_c_volatile = no; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define volatile
! _ACEOF
! 
! fi
! 
! echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
! echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
! if test "${ac_cv_c_const+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! 
! int
! main ()
! {
! /* FIXME: Include the comments suggested by Paul. */
! #ifndef __cplusplus
!   /* Ultrix mips cc rejects this.  */
!   typedef int charset[2];
!   const charset x;
!   /* SunOS 4.1.1 cc rejects this.  */
!   char const *const *ccp;
!   char **p;
!   /* NEC SVR4.0.2 mips cc rejects this.  */
!   struct point {int x, y;};
!   static struct point const zero = {0,0};
!   /* AIX XL C 1.02.0.0 rejects this.
!      It does not let you subtract one const X* pointer from another in
!      an arm of an if-expression whose if-part is not a constant
!      expression */
!   const char *g = "string";
!   ccp = &g + (g ? g-g : 0);
!   /* HPUX 7.0 cc rejects these. */
!   ++ccp;
!   p = (char**) ccp;
!   ccp = (char const *const *) p;
!   { /* SCO 3.2v4 cc rejects this.  */
!     char *t;
!     char const *s = 0 ? (char *) 0 : (char const *) 0;
! 
!     *t++ = 0;
!   }
!   { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
!     int x[] = {25, 17};
!     const int *foo = &x[0];
!     ++foo;
!   }
!   { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
!     typedef const int *iptr;
!     iptr p = 0;
!     ++p;
!   }
!   { /* AIX XL C 1.02.0.0 rejects this saying
!        "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
!     struct s { int j; const int *ap[3]; };
!     struct s *b; b->j = 5;
!   }
!   { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
!     const int foo = 10;
!   }
! #endif
! 
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_c_const=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_c_const=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
! echo "${ECHO_T}$ac_cv_c_const" >&6
! if test $ac_cv_c_const = no; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define const
! _ACEOF
! 
! fi
! 
! echo "$as_me:$LINENO: checking for void * support" >&5
! echo $ECHO_N "checking for void * support... $ECHO_C" >&6
! if test "${emacs_cv_void_star+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! 
! int
! main ()
! {
! void * foo;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   emacs_cv_void_star=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! emacs_cv_void_star=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $emacs_cv_void_star" >&5
! echo "${ECHO_T}$emacs_cv_void_star" >&6
! if test $emacs_cv_void_star = yes; then
!   cat >>confdefs.h <<\_ACEOF
! #define POINTER_TYPE void
! _ACEOF
! 
! else
!   cat >>confdefs.h <<\_ACEOF
! #define POINTER_TYPE char
! _ACEOF
! 
! fi
! 
! 
! 
! echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
! echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
! set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
! if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.make <<\_ACEOF
! all:
!       @echo 'ac_maketemp="$(MAKE)"'
! _ACEOF
! # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
! eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
! if test -n "$ac_maketemp"; then
!   eval ac_cv_prog_make_${ac_make}_set=yes
! else
!   eval ac_cv_prog_make_${ac_make}_set=no
! fi
! rm -f conftest.make
! fi
! if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
!   echo "$as_me:$LINENO: result: yes" >&5
! echo "${ECHO_T}yes" >&6
!   SET_MAKE=
! else
!   echo "$as_me:$LINENO: result: no" >&5
! echo "${ECHO_T}no" >&6
!   SET_MAKE="MAKE=${MAKE-make}"
! fi
! 
  
  echo "$as_me:$LINENO: checking for long file names" >&5
  echo $ECHO_N "checking for long file names... $ECHO_C" >&6
***************
*** 7491,7497 ****
  ( exit $ac_status )
  ac_cv_func_mmap_fixed_mapped=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5
--- 7985,7991 ----
  ( exit $ac_status )
  ac_cv_func_mmap_fixed_mapped=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5
***************
*** 7705,7710 ****
--- 8199,8262 ----
  echo "$as_me:$LINENO: result: $HAVE_XFREE386" >&5
  echo "${ECHO_T}$HAVE_XFREE386" >&6
  
+ 
+ case ${host_os} in
+ aix*)
+   echo "$as_me:$LINENO: checking for -bbigtoc option" >&5
+ echo $ECHO_N "checking for -bbigtoc option... $ECHO_C" >&6
+ if test "${gdb_cv_bigtoc+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ 
+     case $GCC in
+     yes) gdb_cv_bigtoc=-Wl,-bbigtoc ;;
+     *) gdb_cv_bigtoc=-bbigtoc ;;
+     esac
+ 
+     LDFLAGS=$LDFLAGS\ $gdb_cv_bigtoc
+     cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+ int
+ main ()
+ {
+ int i;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext conftest$ac_exeext
+ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+   (eval $ac_link) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest$ac_exeext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   :
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ gdb_cv_bigtoc=
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+ 
+ fi
+ echo "$as_me:$LINENO: result: $gdb_cv_bigtoc" >&5
+ echo "${ECHO_T}$gdb_cv_bigtoc" >&6
+   ;;
+ esac
+ 
  # Change CFLAGS and CPPFLAGS temporarily so that C_SWITCH_X_SITE gets
  # used for the tests that follow.  We set them back to REAL_CFLAGS and
  # REAL_CPPFLAGS later on.
***************
*** 8824,8829 ****
--- 9376,9425 ----
    fi
  fi
  
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+         #include <X11/Xlib.h>
+         #include <X11/Xresource.h>
+ int
+ main ()
+ {
+ XIMProc  callback;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   HAVE_XIM=yes
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_XIM 1
+ _ACEOF
+ 
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ HAVE_XIM=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ 
  
  if test "${with_xim}" != "no"; then
  
***************
*** 8833,8838 ****
--- 9429,9505 ----
  
  fi
  
+ 
+ if test "${HAVE_XIM}" != "no"; then
+   late_CFLAGS=$CFLAGS
+   if test "$GCC" = yes; then
+     CFLAGS="$CFLAGS --pedantic-errors"
+   fi
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+ #include <X11/Xlib.h>
+ #include <X11/Xresource.h>
+ int
+ main ()
+ {
+ Display *display;
+ XrmDatabase db;
+ char *res_name;
+ char *res_class;
+ XIMProc  callback;
+ XPointer *client_data;
+ #ifndef __GNUC__
+ /* If we're not using GCC, it's probably not XFree86, and this is
+    probably right, but we can't use something like --pedantic-errors.  */
+ extern Bool XRegisterIMInstantiateCallback(Display*, XrmDatabase, char*,
+                                            char*, XIMProc, XPointer*);
+ #endif
+ (void)XRegisterIMInstantiateCallback(display, db, res_name, res_class, 
callback,
+    client_data);
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   emacs_cv_arg6_star=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ 
+   if test "$emacs_cv_arg6_star" = yes; then
+     cat >>confdefs.h <<\_ACEOF
+ #define XRegisterIMInstantiateCallback_arg6 XPointer*
+ _ACEOF
+ 
+   else
+     cat >>confdefs.h <<\_ACEOF
+ #define XRegisterIMInstantiateCallback_arg6 XPointer
+ _ACEOF
+ 
+   fi
+   CFLAGS=$late_CFLAGS
+ fi
+ 
  ### Use -lXpm if available, unless `--with-xpm=no'.
  HAVE_XPM=no
  if test "${HAVE_X11}" = "yes"; then
***************
*** 9306,9323 ****
  HAVE_PNG=no
  if test "${HAVE_X11}" = "yes"; then
    if test "${with_png}" != "no"; then
!     if test "${ac_cv_header_png_h+set}" = set; then
!   echo "$as_me:$LINENO: checking for png.h" >&5
! echo $ECHO_N "checking for png.h... $ECHO_C" >&6
! if test "${ac_cv_header_png_h+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  fi
! echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5
! echo "${ECHO_T}$ac_cv_header_png_h" >&6
  else
    # Is the header compilable?
! echo "$as_me:$LINENO: checking png.h usability" >&5
! echo $ECHO_N "checking png.h usability... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
--- 9973,9997 ----
  HAVE_PNG=no
  if test "${HAVE_X11}" = "yes"; then
    if test "${with_png}" != "no"; then
!     # Debian unstable as of July 2003 has multiple libpngs, and puts png.h
!     # in /usr/include/libpng.
! 
! 
! for ac_header in png.h libpng/png.h
! do
! as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
!   echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
  else
    # Is the header compilable?
! echo "$as_me:$LINENO: checking $ac_header usability" >&5
! echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
***************
*** 9326,9332 ****
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  $ac_includes_default
! #include <png.h>
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--- 10000,10006 ----
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  $ac_includes_default
! #include <$ac_header>
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
***************
*** 9352,9359 ****
  echo "${ECHO_T}$ac_header_compiler" >&6
  
  # Is the header present?
! echo "$as_me:$LINENO: checking png.h presence" >&5
! echo $ECHO_N "checking png.h presence... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
--- 10026,10033 ----
  echo "${ECHO_T}$ac_header_compiler" >&6
  
  # Is the header present?
! echo "$as_me:$LINENO: checking $ac_header presence" >&5
! echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
***************
*** 9361,9367 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! #include <png.h>
  _ACEOF
  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--- 10035,10041 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! #include <$ac_header>
  _ACEOF
  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
***************
*** 9394,9403 ****
  # So?  What about this header?
  case $ac_header_compiler:$ac_header_preproc in
    yes:no )
!     { echo "$as_me:$LINENO: WARNING: png.h: accepted by the compiler, 
rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: png.h: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
!     { echo "$as_me:$LINENO: WARNING: png.h: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: png.h: proceeding with the preprocessor's result" >&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
--- 10068,10077 ----
  # So?  What about this header?
  case $ac_header_compiler:$ac_header_preproc in
    yes:no )
!     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, 
rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
!     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
***************
*** 9408,9419 ****
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
    no:yes )
!     { echo "$as_me:$LINENO: WARNING: png.h: present but cannot be compiled" 
>&5
! echo "$as_me: WARNING: png.h: present but cannot be compiled" >&2;}
!     { echo "$as_me:$LINENO: WARNING: png.h: check for missing prerequisite 
headers?" >&5
! echo "$as_me: WARNING: png.h: check for missing prerequisite headers?" >&2;}
!     { echo "$as_me:$LINENO: WARNING: png.h: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: png.h: proceeding with the preprocessor's result" >&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
--- 10082,10093 ----
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
    no:yes )
!     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be 
compiled" >&5
! echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
!     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing 
prerequisite headers?" >&5
! echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" 
>&2;}
!     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
***************
*** 9424,9442 ****
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
! echo "$as_me:$LINENO: checking for png.h" >&5
! echo $ECHO_N "checking for png.h... $ECHO_C" >&6
! if test "${ac_cv_header_png_h+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   ac_cv_header_png_h=$ac_header_preproc
  fi
! echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5
! echo "${ECHO_T}$ac_cv_header_png_h" >&6
  
  fi
! if test $ac_cv_header_png_h = yes; then
!   echo "$as_me:$LINENO: checking for png_get_channels in -lpng" >&5
  echo $ECHO_N "checking for png_get_channels in -lpng... $ECHO_C" >&6
  if test "${ac_cv_lib_png_png_get_channels+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
--- 10098,10125 ----
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
! echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   eval "$as_ac_Header=$ac_header_preproc"
  fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
! 
! fi
! if test `eval echo '${'$as_ac_Header'}'` = yes; then
!   cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
! _ACEOF
  
  fi
! 
! done
! 
!     if test "$ac_cv_header_png_h" = yes || test "$ac_cv_header_libpng_png_h" 
= yes ; then
!       echo "$as_me:$LINENO: checking for png_get_channels in -lpng" >&5
  echo $ECHO_N "checking for png_get_channels in -lpng... $ECHO_C" >&6
  if test "${ac_cv_lib_png_png_get_channels+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
***************
*** 9494,9502 ****
    HAVE_PNG=yes
  fi
  
! fi
! 
! 
    fi
  
    if test "${HAVE_PNG}" = "yes"; then
--- 10177,10183 ----
    HAVE_PNG=yes
  fi
  
!     fi
    fi
  
    if test "${HAVE_PNG}" = "yes"; then
***************
*** 10656,10662 ****
  ( exit $ac_status )
  ac_cv_c_stack_direction=-1
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5
--- 11337,11343 ----
  ( exit $ac_status )
  ac_cv_c_stack_direction=-1
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5
***************
*** 10737,10743 ****
  fi
  
  
! # Check for mail-locking functions in a "mail" library
  
  echo "$as_me:$LINENO: checking for maillock in -lmail" >&5
  echo $ECHO_N "checking for maillock in -lmail... $ECHO_C" >&6
--- 11418,11425 ----
  fi
  
  
! # Check for mail-locking functions in a "mail" library.  Probably this should
! # have the same check as for liblockfile below.
  
  echo "$as_me:$LINENO: checking for maillock in -lmail" >&5
  echo $ECHO_N "checking for maillock in -lmail... $ECHO_C" >&6
***************
*** 10915,10927 ****
  This probably means that movemail could lose mail.
  There may be a \`development' package to install containing liblockfile." 
>&2;}
     { (exit 1); exit 1; }; }
-   else
- cat >>confdefs.h <<\_ACEOF
- #define LIBMAIL -llockfile
- _ACEOF
- 
-   fi
    else :
  fi
  
  for ac_func in touchlock
--- 11597,11604 ----
  This probably means that movemail could lose mail.
  There may be a \`development' package to install containing liblockfile." 
>&2;}
     { (exit 1); exit 1; }; }
    else :
+   fi
  fi
  
  for ac_func in touchlock
***************
*** 11212,11226 ****
  
  
  
  for ac_func in gethostname getdomainname dup2 \
  rename closedir mkdir rmdir sysinfo \
  random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \
  strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
! utimes setrlimit setpgid getcwd getwd shutdown strftime getaddrinfo \
  __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
  sendto recvfrom getsockopt setsockopt getsockname getpeername \
  gai_strerror mkstemp getline getdelim mremap memmove fsync bzero \
! memset memcmp memmove
  do
  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
  echo "$as_me:$LINENO: checking for $ac_func" >&5
--- 11889,11908 ----
  
  
  
+ 
+ 
+ 
+ 
+ 
  for ac_func in gethostname getdomainname dup2 \
  rename closedir mkdir rmdir sysinfo \
  random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \
  strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
! utimes setrlimit setpgid getcwd getwd shutdown getaddrinfo \
  __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
  sendto recvfrom getsockopt setsockopt getsockname getpeername \
  gai_strerror mkstemp getline getdelim mremap memmove fsync bzero \
! memset memcmp memmove difftime memcpy mempcpy mblen mbrlen posix_memalign
  do
  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
  echo "$as_me:$LINENO: checking for $ac_func" >&5
***************
*** 11855,11861 ****
  ( exit $ac_status )
  ac_cv_func_working_mktime=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5
--- 12537,12543 ----
  ( exit $ac_status )
  ac_cv_func_working_mktime=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5
***************
*** 13713,13738 ****
  
  fi
  rm -f conftest.$ac_objext conftest.$ac_ext
!   break
! done
  fi
! echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_source" >&5
! echo "${ECHO_T}$ac_cv_sys_largefile_source" >&6
! if test "$ac_cv_sys_largefile_source" != no; then
  
! cat >>confdefs.h <<_ACEOF
! #define _LARGEFILE_SOURCE $ac_cv_sys_largefile_source
  _ACEOF
  
  fi
- rm -f conftest*
  
! # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug
! # in glibc 2.1.3, but that breaks too many other things.
! # If you want fseeko and ftello with glibc, upgrade to a fixed glibc.
! echo "$as_me:$LINENO: checking for fseeko" >&5
! echo $ECHO_N "checking for fseeko... $ECHO_C" >&6
! if test "${ac_cv_func_fseeko+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
--- 14395,14532 ----
  
  fi
  rm -f conftest.$ac_objext conftest.$ac_ext
!   break
! done
! fi
! echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_source" >&5
! echo "${ECHO_T}$ac_cv_sys_largefile_source" >&6
! if test "$ac_cv_sys_largefile_source" != no; then
! 
! cat >>confdefs.h <<_ACEOF
! #define _LARGEFILE_SOURCE $ac_cv_sys_largefile_source
! _ACEOF
! 
! fi
! rm -f conftest*
! 
! # We used to try defining _XOPEN_SOURCE=500 too, to work around a bug
! # in glibc 2.1.3, but that breaks too many other things.
! # If you want fseeko and ftello with glibc, upgrade to a fixed glibc.
! echo "$as_me:$LINENO: checking for fseeko" >&5
! echo $ECHO_N "checking for fseeko... $ECHO_C" >&6
! if test "${ac_cv_func_fseeko+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <stdio.h>
! int
! main ()
! {
! return fseeko && fseeko (stdin, 0, 0);
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
!   (eval $ac_link) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest$ac_exeext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_func_fseeko=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_func_fseeko=no
! fi
! rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_func_fseeko" >&5
! echo "${ECHO_T}$ac_cv_func_fseeko" >&6
! if test $ac_cv_func_fseeko = yes; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_FSEEKO 1
! _ACEOF
! 
! fi
! 
! 
! echo "$as_me:$LINENO: checking whether getpgrp requires zero arguments" >&5
! echo $ECHO_N "checking whether getpgrp requires zero arguments... $ECHO_C" >&6
! if test "${ac_cv_func_getpgrp_void+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   # Use it with a single arg.
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! $ac_includes_default
! int
! main ()
! {
! getpgrp (0);
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_func_getpgrp_void=no
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_cv_func_getpgrp_void=yes
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! 
  fi
! echo "$as_me:$LINENO: result: $ac_cv_func_getpgrp_void" >&5
! echo "${ECHO_T}$ac_cv_func_getpgrp_void" >&6
! if test $ac_cv_func_getpgrp_void = yes; then
  
! cat >>confdefs.h <<\_ACEOF
! #define GETPGRP_VOID 1
  _ACEOF
  
  fi
  
! 
! 
! for ac_func in strftime
! do
! as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
! echo "$as_me:$LINENO: checking for $ac_func" >&5
! echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
! if eval "test \"\${$as_ac_var+set}\" = set"; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
***************
*** 13742,13752 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! #include <stdio.h>
  int
  main ()
  {
! return fseeko && fseeko (stdin, 0, 0);
    ;
    return 0;
  }
--- 14536,14574 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! /* System header to define __stub macros and hopefully few prototypes,
!     which can conflict with char $ac_func (); below.
!     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
!     <limits.h> exists even on freestanding compilers.  */
! #ifdef __STDC__
! # include <limits.h>
! #else
! # include <assert.h>
! #endif
! /* Override any gcc2 internal prototype to avoid an error.  */
! #ifdef __cplusplus
! extern "C"
! {
! #endif
! /* We use char because int might match the return type of a gcc2
!    builtin and then its argument prototype would still apply.  */
! char $ac_func ();
! /* The GNU C library defines this for functions which it implements
!     to always fail with ENOSYS.  Some functions are actually named
!     something starting with __ and the normal name is an alias.  */
! #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
! choke me
! #else
! char (*f) () = $ac_func;
! #endif
! #ifdef __cplusplus
! }
! #endif
! 
  int
  main ()
  {
! return f != $ac_func;
    ;
    return 0;
  }
***************
*** 13763,13794 ****
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_func_fseeko=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_func_fseeko=no
  fi
  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: $ac_cv_func_fseeko" >&5
! echo "${ECHO_T}$ac_cv_func_fseeko" >&6
! if test $ac_cv_func_fseeko = yes; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_FSEEKO 1
  _ACEOF
  
! fi
! 
! 
! echo "$as_me:$LINENO: checking whether getpgrp requires zero arguments" >&5
! echo $ECHO_N "checking whether getpgrp requires zero arguments... $ECHO_C" >&6
! if test "${ac_cv_func_getpgrp_void+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   # Use it with a single arg.
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
--- 14585,14615 ----
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   eval "$as_ac_var=yes"
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! eval "$as_ac_var=no"
  fi
  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
! if test `eval echo '${'$as_ac_var'}'` = yes; then
!   cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
  _ACEOF
  
! else
!   # strftime is in -lintl on SCO UNIX.
! echo "$as_me:$LINENO: checking for strftime in -lintl" >&5
! echo $ECHO_N "checking for strftime in -lintl... $ECHO_C" >&6
! if test "${ac_cv_lib_intl_strftime+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   ac_check_lib_save_LIBS=$LIBS
! LIBS="-lintl  $LIBS"
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
***************
*** 13796,13842 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! $ac_includes_default
  int
  main ()
  {
! getpgrp (0);
    ;
    return 0;
  }
  _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_func_getpgrp_void=no
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_func_getpgrp_void=yes
  fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! 
  fi
! echo "$as_me:$LINENO: result: $ac_cv_func_getpgrp_void" >&5
! echo "${ECHO_T}$ac_cv_func_getpgrp_void" >&6
! if test $ac_cv_func_getpgrp_void = yes; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define GETPGRP_VOID 1
  _ACEOF
  
  fi
  
  
  # UNIX98 PTYs.
  
--- 14617,14673 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! 
! /* Override any gcc2 internal prototype to avoid an error.  */
! #ifdef __cplusplus
! extern "C"
! #endif
! /* We use char because int might match the return type of a gcc2
!    builtin and then its argument prototype would still apply.  */
! char strftime ();
  int
  main ()
  {
! strftime ();
    ;
    return 0;
  }
  _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
!   (eval $ac_link) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
!          { ac_try='test -s conftest$ac_exeext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_lib_intl_strftime=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_lib_intl_strftime=no
  fi
! rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
! LIBS=$ac_check_lib_save_LIBS
  fi
! echo "$as_me:$LINENO: result: $ac_cv_lib_intl_strftime" >&5
! echo "${ECHO_T}$ac_cv_lib_intl_strftime" >&6
! if test $ac_cv_lib_intl_strftime = yes; then
!   cat >>confdefs.h <<\_ACEOF
! #define HAVE_STRFTIME 1
  _ACEOF
  
+ LIBS="-lintl $LIBS"
  fi
  
+ fi
+ done
+ 
  
  # UNIX98 PTYs.
  
***************
*** 16305,16311 ****
  ( exit $ac_status )
  emacs_cv_localtime_cache=yes
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  else
        # If we lack tzset, report that localtime does not cache TZ,
--- 17136,17142 ----
  ( exit $ac_status )
  emacs_cv_localtime_cache=yes
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  else
        # If we lack tzset, report that localtime does not cache TZ,
***************
*** 16372,16417 ****
  int
  main ()
  {
! return f != $ac_func;
    ;
    return 0;
  }
  _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
!   (eval $ac_link) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
!          { ac_try='test -s conftest$ac_exeext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   eval "$as_ac_var=yes"
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! eval "$as_ac_var=no"
  fi
! rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
! if test `eval echo '${'$as_ac_var'}'` = yes; then
!   cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
  _ACEOF
  
  fi
- done
  
!   if test $ac_cv_func_gettimeofday = yes; then
!     echo "$as_me:$LINENO: checking whether gettimeofday can accept two 
arguments" >&5
! echo $ECHO_N "checking whether gettimeofday can accept two arguments... 
$ECHO_C" >&6
! if test "${emacs_cv_gettimeofday_two_arguments+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
--- 17203,17419 ----
  int
  main ()
  {
! return f != $ac_func;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
!   (eval $ac_link) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest$ac_exeext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   eval "$as_ac_var=yes"
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! eval "$as_ac_var=no"
! fi
! rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
! if test `eval echo '${'$as_ac_var'}'` = yes; then
!   cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
! _ACEOF
! 
! fi
! done
! 
!   if test $ac_cv_func_gettimeofday = yes; then
!     echo "$as_me:$LINENO: checking whether gettimeofday can accept two 
arguments" >&5
! echo $ECHO_N "checking whether gettimeofday can accept two arguments... 
$ECHO_C" >&6
! if test "${emacs_cv_gettimeofday_two_arguments+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! 
! #ifdef TIME_WITH_SYS_TIME
! #include <sys/time.h>
! #include <time.h>
! #else
! #ifdef HAVE_SYS_TIME_H
! #include <sys/time.h>
! #else
! #include <time.h>
! #endif
! #endif
! int
! main ()
! {
! struct timeval time;
!        gettimeofday (&time, 0);
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   emacs_cv_gettimeofday_two_arguments=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! emacs_cv_gettimeofday_two_arguments=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $emacs_cv_gettimeofday_two_arguments" >&5
! echo "${ECHO_T}$emacs_cv_gettimeofday_two_arguments" >&6
!     if test $emacs_cv_gettimeofday_two_arguments = no; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define GETTIMEOFDAY_ONE_ARGUMENT 1
! _ACEOF
! 
!     fi
!   fi
! fi
! 
! # This defines (or not) HAVE_TZNAME and HAVE_TM_ZONE.
! echo "$as_me:$LINENO: checking for struct tm.tm_zone" >&5
! echo $ECHO_N "checking for struct tm.tm_zone... $ECHO_C" >&6
! if test "${ac_cv_member_struct_tm_tm_zone+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <sys/types.h>
! #include <$ac_cv_struct_tm>
! 
! 
! int
! main ()
! {
! static struct tm ac_aggr;
! if (ac_aggr.tm_zone)
! return 0;
!   ;
!   return 0;
! }
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_cv_member_struct_tm_tm_zone=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <sys/types.h>
! #include <$ac_cv_struct_tm>
! 
! 
! int
! main ()
! {
! static struct tm ac_aggr;
! if (sizeof ac_aggr.tm_zone)
! return 0;
    ;
    return 0;
  }
  _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_member_struct_tm_tm_zone=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_member_struct_tm_tm_zone=no
  fi
! rm -f conftest.$ac_objext conftest.$ac_ext
  fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! fi
! echo "$as_me:$LINENO: result: $ac_cv_member_struct_tm_tm_zone" >&5
! echo "${ECHO_T}$ac_cv_member_struct_tm_tm_zone" >&6
! if test $ac_cv_member_struct_tm_tm_zone = yes; then
! 
! cat >>confdefs.h <<_ACEOF
! #define HAVE_STRUCT_TM_TM_ZONE 1
  _ACEOF
  
+ 
  fi
  
! if test "$ac_cv_member_struct_tm_tm_zone" = yes; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_TM_ZONE 1
! _ACEOF
! 
! else
!   echo "$as_me:$LINENO: checking for tzname" >&5
! echo $ECHO_N "checking for tzname... $ECHO_C" >&6
! if test "${ac_cv_var_tzname+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
    cat >conftest.$ac_ext <<_ACEOF
***************
*** 16421,16479 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
- 
- #ifdef TIME_WITH_SYS_TIME
- #include <sys/time.h>
  #include <time.h>
! #else
! #ifdef HAVE_SYS_TIME_H
! #include <sys/time.h>
! #else
! #include <time.h>
! #endif
  #endif
  int
  main ()
  {
! struct timeval time;
!        gettimeofday (&time, 0);
    ;
    return 0;
  }
  _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   emacs_cv_gettimeofday_two_arguments=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! emacs_cv_gettimeofday_two_arguments=no
  fi
! rm -f conftest.$ac_objext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: $emacs_cv_gettimeofday_two_arguments" >&5
! echo "${ECHO_T}$emacs_cv_gettimeofday_two_arguments" >&6
!     if test $emacs_cv_gettimeofday_two_arguments = no; then
  
  cat >>confdefs.h <<\_ACEOF
! #define GETTIMEOFDAY_ONE_ARGUMENT 1
  _ACEOF
  
-     fi
    fi
  fi
  
  if test "$ac_cv_func_gettimeofday" = yes; then
    echo "$as_me:$LINENO: checking for struct timezone" >&5
  echo $ECHO_N "checking for struct timezone... $ECHO_C" >&6
--- 17423,17474 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  #include <time.h>
! #ifndef tzname /* For SGI.  */
! extern char *tzname[]; /* RS6000 and others reject char **tzname.  */
  #endif
+ 
  int
  main ()
  {
! atoi(*tzname);
    ;
    return 0;
  }
  _ACEOF
! rm -f conftest.$ac_objext conftest$ac_exeext
! if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
!   (eval $ac_link) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
!          { ac_try='test -s conftest$ac_exeext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; }; then
!   ac_cv_var_tzname=yes
  else
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
! ac_cv_var_tzname=no
  fi
! rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
  fi
! echo "$as_me:$LINENO: result: $ac_cv_var_tzname" >&5
! echo "${ECHO_T}$ac_cv_var_tzname" >&6
!   if test $ac_cv_var_tzname = yes; then
  
  cat >>confdefs.h <<\_ACEOF
! #define HAVE_TZNAME 1
  _ACEOF
  
    fi
  fi
  
+ 
  if test "$ac_cv_func_gettimeofday" = yes; then
    echo "$as_me:$LINENO: checking for struct timezone" >&5
  echo $ECHO_N "checking for struct timezone... $ECHO_C" >&6
***************
*** 16555,16561 ****
  ( exit $ac_status )
  emacs_cv_struct_timezone=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  else
    echo "$as_me: failed program was:" >&5
--- 17550,17556 ----
  ( exit $ac_status )
  emacs_cv_struct_timezone=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  else
    echo "$as_me: failed program was:" >&5
***************
*** 16793,16804 ****
  if test "${ac_cv_header_arpa_inet_h+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  fi
! echo "$as_me:$LINENO: result: $ac_cv_header_arpa_inet_h" >&5
! echo "${ECHO_T}$ac_cv_header_arpa_inet_h" >&6
  else
    # Is the header compilable?
! echo "$as_me:$LINENO: checking arpa/inet.h usability" >&5
! echo $ECHO_N "checking arpa/inet.h usability... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
--- 17788,17949 ----
  if test "${ac_cv_header_arpa_inet_h+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  fi
! echo "$as_me:$LINENO: result: $ac_cv_header_arpa_inet_h" >&5
! echo "${ECHO_T}$ac_cv_header_arpa_inet_h" >&6
! else
!   # Is the header compilable?
! echo "$as_me:$LINENO: checking arpa/inet.h usability" >&5
! echo $ECHO_N "checking arpa/inet.h usability... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! $ac_includes_default
! #include <arpa/inet.h>
! _ACEOF
! rm -f conftest.$ac_objext
! if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
!   (eval $ac_compile) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } &&
!          { ac_try='test -s conftest.$ac_objext'
!   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
!   (eval $ac_try) 2>&5
!   ac_status=$?
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); }; }; then
!   ac_header_compiler=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
! ac_header_compiler=no
! fi
! rm -f conftest.$ac_objext conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
! echo "${ECHO_T}$ac_header_compiler" >&6
! 
! # Is the header present?
! echo "$as_me:$LINENO: checking arpa/inet.h presence" >&5
! echo $ECHO_N "checking arpa/inet.h presence... $ECHO_C" >&6
! cat >conftest.$ac_ext <<_ACEOF
! #line $LINENO "configure"
! /* confdefs.h.  */
! _ACEOF
! cat confdefs.h >>conftest.$ac_ext
! cat >>conftest.$ac_ext <<_ACEOF
! /* end confdefs.h.  */
! #include <arpa/inet.h>
! _ACEOF
! if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
!   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
!   ac_status=$?
!   grep -v '^ *+' conftest.er1 >conftest.err
!   rm -f conftest.er1
!   cat conftest.err >&5
!   echo "$as_me:$LINENO: \$? = $ac_status" >&5
!   (exit $ac_status); } >/dev/null; then
!   if test -s conftest.err; then
!     ac_cpp_err=$ac_c_preproc_warn_flag
!   else
!     ac_cpp_err=
!   fi
! else
!   ac_cpp_err=yes
! fi
! if test -z "$ac_cpp_err"; then
!   ac_header_preproc=yes
! else
!   echo "$as_me: failed program was:" >&5
! sed 's/^/| /' conftest.$ac_ext >&5
! 
!   ac_header_preproc=no
! fi
! rm -f conftest.err conftest.$ac_ext
! echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
! echo "${ECHO_T}$ac_header_preproc" >&6
! 
! # So?  What about this header?
! case $ac_header_compiler:$ac_header_preproc in
!   yes:no )
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: accepted by the compiler, 
rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: arpa/inet.h: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: arpa/inet.h: proceeding with the preprocessor's 
result" >&2;}
!     (
!       cat <<\_ASBOX
! ## ------------------------------------ ##
! ## Report this to address@hidden ##
! ## ------------------------------------ ##
! _ASBOX
!     ) |
!       sed "s/^/$as_me: WARNING:     /" >&2
!     ;;
!   no:yes )
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: present but cannot be 
compiled" >&5
! echo "$as_me: WARNING: arpa/inet.h: present but cannot be compiled" >&2;}
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: check for missing 
prerequisite headers?" >&5
! echo "$as_me: WARNING: arpa/inet.h: check for missing prerequisite headers?" 
>&2;}
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: arpa/inet.h: proceeding with the preprocessor's 
result" >&2;}
!     (
!       cat <<\_ASBOX
! ## ------------------------------------ ##
! ## Report this to address@hidden ##
! ## ------------------------------------ ##
! _ASBOX
!     ) |
!       sed "s/^/$as_me: WARNING:     /" >&2
!     ;;
! esac
! echo "$as_me:$LINENO: checking for arpa/inet.h" >&5
! echo $ECHO_N "checking for arpa/inet.h... $ECHO_C" >&6
! if test "${ac_cv_header_arpa_inet_h+set}" = set; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! else
!   ac_cv_header_arpa_inet_h=$ac_header_preproc
! fi
! echo "$as_me:$LINENO: result: $ac_cv_header_arpa_inet_h" >&5
! echo "${ECHO_T}$ac_cv_header_arpa_inet_h" >&6
! 
! fi
! if test $ac_cv_header_arpa_inet_h = yes; then
!   :
! else
!   ok_so_far=no
! fi
! 
! 
! fi
! if test $ok_so_far = yes; then
! 
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_INET_SOCKETS 1
! _ACEOF
! 
! fi
! 
! 
! 
! for ac_header in sys/ioctl.h net/if.h
! do
! as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
!   echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
!   echo $ECHO_N "(cached) $ECHO_C" >&6
! fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
  else
    # Is the header compilable?
! echo "$as_me:$LINENO: checking $ac_header usability" >&5
! echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
***************
*** 16807,16813 ****
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  $ac_includes_default
! #include <arpa/inet.h>
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--- 17952,17958 ----
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
  $ac_includes_default
! #include <$ac_header>
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
***************
*** 16833,16840 ****
  echo "${ECHO_T}$ac_header_compiler" >&6
  
  # Is the header present?
! echo "$as_me:$LINENO: checking arpa/inet.h presence" >&5
! echo $ECHO_N "checking arpa/inet.h presence... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
--- 17978,17985 ----
  echo "${ECHO_T}$ac_header_compiler" >&6
  
  # Is the header present?
! echo "$as_me:$LINENO: checking $ac_header presence" >&5
! echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
  cat >conftest.$ac_ext <<_ACEOF
  #line $LINENO "configure"
  /* confdefs.h.  */
***************
*** 16842,16848 ****
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! #include <arpa/inet.h>
  _ACEOF
  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--- 17987,17993 ----
  cat confdefs.h >>conftest.$ac_ext
  cat >>conftest.$ac_ext <<_ACEOF
  /* end confdefs.h.  */
! #include <$ac_header>
  _ACEOF
  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
***************
*** 16875,16884 ****
  # So?  What about this header?
  case $ac_header_compiler:$ac_header_preproc in
    yes:no )
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: accepted by the compiler, 
rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: arpa/inet.h: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: arpa/inet.h: proceeding with the preprocessor's 
result" >&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
--- 18020,18029 ----
  # So?  What about this header?
  case $ac_header_compiler:$ac_header_preproc in
    yes:no )
!     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, 
rejected by the preprocessor!" >&5
! echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
!     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
***************
*** 16889,16900 ****
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
    no:yes )
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: present but cannot be 
compiled" >&5
! echo "$as_me: WARNING: arpa/inet.h: present but cannot be compiled" >&2;}
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: check for missing 
prerequisite headers?" >&5
! echo "$as_me: WARNING: arpa/inet.h: check for missing prerequisite headers?" 
>&2;}
!     { echo "$as_me:$LINENO: WARNING: arpa/inet.h: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: arpa/inet.h: proceeding with the preprocessor's 
result" >&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
--- 18034,18045 ----
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
    no:yes )
!     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be 
compiled" >&5
! echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
!     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing 
prerequisite headers?" >&5
! echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" 
>&2;}
!     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
! echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
      (
        cat <<\_ASBOX
  ## ------------------------------------ ##
***************
*** 16905,16936 ****
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
! echo "$as_me:$LINENO: checking for arpa/inet.h" >&5
! echo $ECHO_N "checking for arpa/inet.h... $ECHO_C" >&6
! if test "${ac_cv_header_arpa_inet_h+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   ac_cv_header_arpa_inet_h=$ac_header_preproc
  fi
! echo "$as_me:$LINENO: result: $ac_cv_header_arpa_inet_h" >&5
! echo "${ECHO_T}$ac_cv_header_arpa_inet_h" >&6
  
  fi
! if test $ac_cv_header_arpa_inet_h = yes; then
!   :
! else
!   ok_so_far=no
! fi
! 
  
  fi
- if test $ok_so_far = yes; then
  
! cat >>confdefs.h <<\_ACEOF
! #define HAVE_INET_SOCKETS 1
! _ACEOF
  
- fi
  
  if test -f /usr/lpp/X11/bin/smt.exp; then
  
--- 18050,18075 ----
        sed "s/^/$as_me: WARNING:     /" >&2
      ;;
  esac
! echo "$as_me:$LINENO: checking for $ac_header" >&5
! echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
! if eval "test \"\${$as_ac_Header+set}\" = set"; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
  else
!   eval "$as_ac_Header=$ac_header_preproc"
  fi
! echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
! echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
  
  fi
! if test `eval echo '${'$as_ac_Header'}'` = yes; then
!   cat >>confdefs.h <<_ACEOF
! #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
! _ACEOF
  
  fi
  
! done
  
  
  if test -f /usr/lpp/X11/bin/smt.exp; then
  
***************
*** 17283,17289 ****
  ( exit $ac_status )
  ac_cv_func_fork_works=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5
--- 18422,18428 ----
  ( exit $ac_status )
  ac_cv_func_fork_works=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5
***************
*** 17438,17444 ****
  ( exit $ac_status )
  ac_cv_func_vfork_works=no
  fi
! rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext 
conftest.$ac_objext conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5
--- 18577,18583 ----
  ( exit $ac_status )
  ac_cv_func_vfork_works=no
  fi
! rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext 
conftest.$ac_ext
  fi
  fi
  echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5
***************
*** 17583,17588 ****
--- 18722,18786 ----
  fi
  
  
+ echo "$as_me:$LINENO: checking for mbstate_t" >&5
+ echo $ECHO_N "checking for mbstate_t... $ECHO_C" >&6
+ if test "${ac_cv_type_mbstate_t+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ $ac_includes_default
+ #         include <wchar.h>
+ int
+ main ()
+ {
+ mbstate_t x; return sizeof x;
+   ;
+   return 0;
+ }
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+          { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_cv_type_mbstate_t=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_cv_type_mbstate_t=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_type_mbstate_t" >&5
+ echo "${ECHO_T}$ac_cv_type_mbstate_t" >&6
+    if test $ac_cv_type_mbstate_t = yes; then
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_MBSTATE_T 1
+ _ACEOF
+ 
+    else
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define mbstate_t int
+ _ACEOF
+ 
+    fi
+ 
  echo "$as_me:$LINENO: checking for C restrict keyword" >&5
  echo $ECHO_N "checking for C restrict keyword... $ECHO_C" >&6
  if test "${emacs_cv_c_restrict+set}" = set; then
***************
*** 17728,17880 ****
  fi
  
  
- for ac_header in nlist.h
- do
- as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
- if eval "test \"\${$as_ac_Header+set}\" = set"; then
-   echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test \"\${$as_ac_Header+set}\" = set"; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- else
-   # Is the header compilable?
- echo "$as_me:$LINENO: checking $ac_header usability" >&5
- echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- /* confdefs.h.  */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h.  */
- $ac_includes_default
- #include <$ac_header>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-   (eval $ac_compile) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
-          { ac_try='test -s conftest.$ac_objext'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
-   ac_header_compiler=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- 
- ac_header_compiler=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- 
- # Is the header present?
- echo "$as_me:$LINENO: checking $ac_header presence" >&5
- echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- /* confdefs.h.  */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h.  */
- #include <$ac_header>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-   ac_status=$?
-   grep -v '^ *+' conftest.er1 >conftest.err
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } >/dev/null; then
-   if test -s conftest.err; then
-     ac_cpp_err=$ac_c_preproc_warn_flag
-   else
-     ac_cpp_err=
-   fi
- else
-   ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
-   ac_header_preproc=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- 
-   ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- 
- # So?  What about this header?
- case $ac_header_compiler:$ac_header_preproc in
-   yes:no )
-     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, 
rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the 
preprocessor!" >&2;}
-     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
-     (
-       cat <<\_ASBOX
- ## ------------------------------------ ##
- ## Report this to address@hidden ##
- ## ------------------------------------ ##
- _ASBOX
-     ) |
-       sed "s/^/$as_me: WARNING:     /" >&2
-     ;;
-   no:yes )
-     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be 
compiled" >&5
- echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing 
prerequisite headers?" >&5
- echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" 
>&2;}
-     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the 
preprocessor's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" 
>&2;}
-     (
-       cat <<\_ASBOX
- ## ------------------------------------ ##
- ## Report this to address@hidden ##
- ## ------------------------------------ ##
- _ASBOX
-     ) |
-       sed "s/^/$as_me: WARNING:     /" >&2
-     ;;
- esac
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test \"\${$as_ac_Header+set}\" = set"; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-   eval "$as_ac_Header=$ac_header_preproc"
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- 
- fi
- if test `eval echo '${'$as_ac_Header'}'` = yes; then
-   cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- 
- cat >>confdefs.h <<\_ACEOF
- #define NLIST_STRUCT 1
- _ACEOF
- 
- fi
- 
- done
- 
- 
- 
  
  # Set up the CFLAGS for real compilation, so we can substitute it.
  CFLAGS="$REAL_CFLAGS"
--- 18926,18931 ----
***************
*** 18723,18728 ****
--- 19774,19780 ----
  s,@ECHO_N@,$ECHO_N,;t t
  s,@ECHO_T@,$ECHO_T,;t t
  s,@LIBS@,$LIBS,;t t
+ s,@MAINT@,$MAINT,;t t
  s,@build@,$build,;t t
  s,@build_cpu@,$build_cpu,;t t
  s,@build_vendor@,$build_vendor,;t t




reply via email to

[Prev in Thread] Current Thread [Next in Thread]